Bug 1716870 - Came up with a script to analyze strace outputs from bricks
Summary: Came up with a script to analyze strace outputs from bricks
Keywords:
Status: POST
Alias: None
Product: GlusterFS
Classification: Community
Component: scripts
Version: mainline
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: ---
Assignee: Pranith Kumar K
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-06-04 10:28 UTC by Pranith Kumar K
Modified: 2019-08-31 18:01 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Gluster.org Gerrit 22816 None Abandoned extras: Script to analyze strace of bricks 2019-10-01 19:30:32 UTC

Description Pranith Kumar K 2019-06-04 10:28:42 UTC
Debugging performance issues often includes comparison of brick strace files to
compare number of syscalls/maximum-latencies per syscall etc with previous runs.
    This script helps in getting these numbers.
    Running it creates 3 types of files:
    1) syscalls-summary.txt - Prints per syscall counts
    2) <syscall>-latency.txt - This is an intermediate file where all 'syscall'
    calls from all the strace files will be listed.
    3) per-fop-latency.txt - Per syscall it prints top <n> maximum latencies
    observed.
    
    Assumes the files in strace-dir are created using the following command:
    $ strace -ff -T -p <pid-of-brick> -o <path-to-the-dir/file-where-output-is-saved>
    
    Sample output of syscalls-summary.txt:
      49857 chmod
      49906 chown
      97542 close
     650309 fgetxattr
         18 flistxattr
    ....
    
    Sample output of per-fop-latency.txt:
    --chmod--
    0.000216
    0.000254
    0.000266
    ...
    --unlink--
    0.020208
    0.025084
    0.027231
    ...


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Worker Ant 2019-06-04 10:31:40 UTC
REVIEW: https://review.gluster.org/22816 (extras: Script to analyze strace of bricks) posted (#1) for review on master by Pranith Kumar Karampuri


Note You need to log in before you can comment on or make changes to this bug.